/**** zustzliche Funktionen fr die Navileiste ****/

/* JS-Navifunktionen vorbereiten *************************************/
function initNav(chapter, page)
{
  /* markiert aktuell angezeigte Seite */
  if(page != "_") {
    var top = document.getElementById(page);
    
    var nodeAttr = document.createAttribute("id");
    nodeAttr.nodeValue = "currNav";
    top.setAttributeNode(nodeAttr);
    
    var newNode = document.createTextNode(top.firstChild.firstChild.data);      
    top.replaceChild(newNode, top.firstChild);
  }

  /* Klappmen bauen und Unntiges zuklappen */
  chapArray = new Array("NavCBasics","NavCPrep","NavCEncGK","NavCMuxnsplit","NavCSpecials","NavCAppendix");
  for(var i = 0; i < chapArray.length; i++) {
    /* neue Kapitellinks */
    if((chapter == chapArray[i]) || (chapter == "onlyNav")) {
      document.getElementById(chapArray[i]).firstChild.href = "javascript:foldChapter('" + chapArray[i] + "',-1)";
    } else {
      document.getElementById(chapArray[i]).firstChild.href = "javascript:foldChapter('" + chapArray[i] + "',1)";
    }
    
    /* fremde Kapitel ausblenden */
    if((chapter != chapArray[i]) && (chapter != "onlyNav")) foldChapter(chapArray[i], -1);
  }
  
  /* Alles-auf/zuklappen-Link einblenden */
  document.getElementById("foldAll").style.visibility = "visible";
}


/* Kapitelnav auf/zuklappen **********************************************/
function foldChapter(chapter, mode)
{
  switch(mode) {
    case -1:    // zuklappen
      var displayMode = "none";
    break;   
    case 1:     // aufklappen
      var displayMode = "block";
  }
  
  document.getElementById(chapter).childNodes[2].style.display = displayMode;  
  document.getElementById(chapter).firstChild.href = "javascript:foldChapter('" + chapter + "'," + (-1 * mode) + ")";
}


/* alle Kapitel auf/zuklappen ********************************************/
function foldAll(mode)
{
  chapArray = new Array("NavCBasics","NavCPrep","NavCEncGK","NavCMuxnsplit","NavCSpecials","NavCAppendix");
  for(var i = 0; i < chapArray.length; i++)
    foldChapter(chapArray[i], mode);
  
  if(mode == 1)
    var linkText = "alles zuklappen"
  else
    var linkText = "alles aufklappen";

  document.getElementById("foldAll").firstChild.firstChild.nodeValue = linkText;
  document.getElementById("foldAll").firstChild.href = "javascript:foldAll(" + (-1 * mode) + ")";
}
